/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 8 -*- */
/*
 * Copyright/Licensing information.
 */

#ifndef CXP_PROPERTY_DIALOG_H
#define CXP_PROPERTY_DIALOG_H

/*
 * Potentially, include other headers on which this header depends.
 */
#include <gtk/gtk.h>
#include <glib-object.h>

#define CXP_TYPE_PROPERTY_DIALOG		  (cxp_property_dialog_get_type ())
#define CXP_PROPERTY_DIALOG(obj)		  (G_TYPE_CHECK_INSTANCE_CAST ((obj), CXP_TYPE_PROPERTY_DIALOG, CxpPropertyDialog))
#define CXP_PROPERTY_DIALOG_CLASS(klass)	  (G_TYPE_CHECK_CLASS_CAST ((klass), CXP_TYPE_PROPERTY_DIALOG, CxpPropertyDialogClass))
#define CXP_IS_PROPERTY_DIALOG(obj)	  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CXP_TYPE_PROPERTY_DIALOG))
#define CXP_IS_PROPERTY_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CXP_TYPE_PROPERTY_DIALOG))
#define CXP_PROPERTY_DIALOG_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), CXP_TYPE_PROPERTY_DIALOG, CxpPropertyDialogClass))

typedef struct _CxpPropertyDialog CxpPropertyDialog;
typedef struct _CxpPropertyDialogClass CxpPropertyDialogClass;

struct _CxpPropertyDialog {
	GtkDialog parent;
};

struct _CxpPropertyDialogClass {
	GtkDialogClass parent;
};

/* used by CXP_TYPE_PROPERTY_DIALOG */
GType cxp_property_dialog_get_type (void);

/* API. */
GtkWidget *cxp_property_dialog_new(const gchar *fullpath);

#endif /* CXP_PROPERTY_DIALOG_H */
